@import url(./fonts.css);
@import url(./variables.css);

@keyframes pulse {
  0% {
    transform: scale(1);
    opacity: 1;
  }
  50% {
    opacity: 0.6;
  }
  100% {
    transform: scale(1);
    opacity: 1;
  }
}

/* reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
  scroll-behavior: smooth;
}

html,
body {
  width: 100vw;
  height: 100%;
}

/* base */
body {
  font-family: "Open Sans", serif;
  color: var(--primary-dark);
  font-size: 1.6rem;
  background-color: var(--neutral-beige);

  background-image: url(../../assets/img/element_hero.png);
  background-repeat: no-repeat;
  background-position: left top;
  background-size: 45%;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

p {
  text-align: justify;
}

h1,
h2 {
  font-family: "Playfair Display";
}

h1 {
  font-size: 6.2rem;
}

h2 {
  font-size: 4.8rem;
}

h3 {
  font-family: "Open Sans";
  font-size: 2rem;
  font-weight: 500;
  text-transform: uppercase;
  color: var(--secondary-green);
  margin-bottom: 2rem;
}

h4 {
  font-family: "Playfair Display";
}

h5 {
  font-family: "DM Sans";
  font-weight: 300;
  font-size: 2rem;
}

form {
  padding: 5rem;
  background: var(--neutral-extra-light);
  border-radius: 1rem;
  flex-direction: column;
  gap: 2rem;
}

input,
textarea,
button {
  outline: none;
  border: none;
  box-shadow: 0px 0px 0.2rem var(--neutral-background);
  color: var(--primary-dark);
  padding: 1rem 2rem;
  width: 100%;
  background-color: var(--neutral-light);
}

textarea {
  width: 100%;
  height: 12rem;
}

/* layout */

header {
  width: 100vw;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 100;
  padding: 1rem 0;

  transition:
    background-color 0.3s ease-in-out,
    box-shadow 0.3s ease-in-out;
}

header.scroll {
  box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.15);
  background-color: var(--neutral-beige);
}

#home_section {
  margin-bottom: 12rem;
  padding-top: 16rem;
}

#home_section .container {
  gap: 15rem;
}

/* header */
header a {
  font-weight: 600;
  color: var(--primary-dark);
}

header .container,
header ul {
  justify-content: space-between;
  align-items: center;
}

header ul {
  width: 100%;
  gap: 3rem;
}

header ul a {
  position: relative;
  transition: color 0.5s;
}

header ul a:hover,
header ul a.active {
  color: var(--secondary-green);
}

header ul a::after,
header ul a.active::after {
  content: "";
  background-color: var(--secondary-green);
  position: absolute;
  width: 0%;
  height: 2px;
  bottom: -5px;
  left: 50%;
  transition:
    width 1s,
    left 1s;
}

header ul a:hover::after,
header ul a.active::after {
  width: 110%;
  left: -5%;
}

header .toggle {
  display: none;
}

/* home */
#home_section .text h1 {
  margin-bottom: 2rem;
}

#home_section .up_title {
  width: fit-content;
  align-items: center;
  gap: 1.2rem;
  background-color: var(--neutral-extra-light);
  border-radius: 0.5rem;
  padding: 0.5rem 2rem;
  font-weight: 600;
}

#home_section .up_title .circle {
  width: 1rem;
  height: 1rem;
  border-radius: 100%;
  background-color: var(--secondary-green);
  animation: pulse 2s infinite;
}

#home_section .up_title ~ div > div:first-child {
  margin-bottom: 4rem;
}

#home_section .button-group {
  margin-top: 2rem;
  gap: 2rem;
}

#home_section .button-group .button {
  flex-grow: 1;
}

/* about */
#about_section .container_fluid {
  background-color: var(--neutral-background);
}

#about_section .container {
  padding: 10rem 0;
  gap: 10rem;
  justify-content: space-between;
  align-items: center;
}

#about_section .topics {
  width: 100%;
}

#about_section .topics h4 {
  font-family: "Open Sans";
  font-size: 1.8rem;
}

#about_section .topics .text {
  display: flex;
  align-items: center;
  justify-content: center;
}

#about_section .title {
  margin-bottom: 2rem;
}

#about_section .topics {
  flex-direction: column;
  gap: 2rem;
}

#about_section .card {
  gap: 2rem;
  padding: 2rem 3rem;
  background-color: var(--light-beige);
  border-radius: 1rem;
}

/* service */
#service_section {
  margin-top: 10rem;
  padding-bottom: 10rem;
}

#service_section .container {
  align-items: center;
  flex-direction: column;
  gap: 6rem;
}

#service_section .text {
  width: 70%;
}

#service_section .desc {
  gap: 1rem;
}

#service_section .title,
#service_section .desc p {
  text-align: center;
}

#service_section .swiper {
  width: 95%;
}

#service_section .swiper-slide img {
  background-color: #b29d91;
  padding: 2rem;
  width: 7.5rem;
  border-radius: 1rem;
}

#service_section .swiper-wrapper {
  padding: 0.5rem;
}

#service_section .swiper-slide {
  background-color: var(--neutral-extra-light);
  height: 50rem;
  border-radius: 2rem;
  padding: 6rem 2rem 8rem;
  box-shadow: 0rem 0rem 0.5rem 0.1rem var(--primary-light);
}

#service_section .title {
  margin-bottom: 4rem;
}

#service_section .swiper-slide h4 {
  font-size: 2rem;
  margin-top: 1.5rem;
}

#service_section .swiper-pagination {
  padding-top: 10rem;
}

/* differences */
#differences {
  margin-top: 2rem;
  background-color: #b69d85;
}

#differences .container {
  padding: 10rem 0;
  justify-content: center;
}

#differences .title {
  margin-bottom: 3rem;
}

#differences .text {
  width: 80%;
}

#differences .text,
#differences .text p {
  text-align: center;
}

#differences .desc p:first-child {
  font-weight: 600;
}

/* boost */
#boost {
  padding: 10rem 0;
  background-color: var(--primary-dark);
  color: var(--neutral-extra-light);
}

#boost .container {
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 4rem;
  text-align: center;
}

#boost img {
  background: #4e3224;
  padding: 1rem;
  border-radius: 1rem;
}

#boost .text {
  width: 60%;
}

#boost .container .title {
  margin-bottom: 2rem;
}

#boost .container p {
  text-align: center;
}

#boost .button-group {
  display: flex;
  gap: 4rem;
}

#boost .button {
  background-color: var(--neutral-extra-light);
  color: var(--primary-dark);
}

#boost .button:hover {
  background: var(--primary-medium);
  color: var(--neutral-extra-light);
}

/* contact */
#contact {
  padding: 10rem 0;
}

#contact .container {
  flex-direction: column;
  align-items: center;
  gap: 10rem;
  justify-content: center;
}

#contact .contact {
  gap: 6rem;
}

#contact .desc {
  margin-top: 2rem;
}

#contact .text {
  width: 60%;
}

#contact .text,
#contact .text p {
  text-align: center;
}

#contact h4 {
  font-size: 3.2rem;
}

#contact .input-line button {
  width: 100%;
  gap: 2rem;
  justify-content: center;
  align-items: center;
  padding: 1.2rem 4rem;
  border-radius: 0.5rem;
  background: var(--primary-dark);
  color: var(--neutral-light);
  font-weight: 600;
}

#contact .input-line button img {
  width: 2rem;
}

#contact .side-content {
  flex-direction: column;
  gap: 4rem;
}

#contact .side-content .card {
  align-items: center;
  gap: 2rem;
}

#contact .side-content .group-card {
  flex-direction: column;
  gap: 2rem;
}

#contact .side-content .card img {
  padding: 2rem;
  background-color: var(--neutral-light);
}

#contact .side-content .card .d_flex {
  flex-direction: column;
}

#contact .side-content .card span {
  font-weight: 600;
}

footer {
  padding: 10rem 0;
  background: var(--neutral-light);
}

footer .container {
  justify-content: space-between;
}

footer .topic {
  flex-direction: column;
  gap: 2rem;
}

footer .title {
  width: 20%;
}
footer ul {
  flex-direction: column;
  gap: 1rem;
}

footer h5 {
  font-weight: 500;
}

footer a,
footer li {
  color: var(--primary-dark);
  transition:
    color 1s,
    font-weight 1s;
}

footer a:hover,
footer li:hover {
  color: var(--primary-darker);
  font-weight: 500;
}

/* class */
.domma_brand {
  text-transform: uppercase;
  font-family: "MuseoModerno";
  font-weight: 600;
  font-size: 3.6rem;
  color: var(--primary-dark);
}

.card img {
  width: 7rem;
  padding: 2rem;
  border-radius: 1rem;
  background: var(--primary-light);
}

.input-line {
  gap: 5rem;
}

.input {
  flex-direction: column;
  width: 100%;
  gap: 1rem;
}

.container {
  width: 80%;
  margin: 0 auto;
}

.d_flex {
  display: flex;
}

.desc {
  flex-direction: column;
  gap: 2rem;
}

.button {
  color: var(--neutral-extra-light);
  background-color: var(--primary-dark);
  padding: 1rem 4rem;
  font-weight: 600;
  border-radius: 0.5rem;
  text-align: center;
  transition:
    color 1s,
    border-color 1s,
    background 1s;
}

.button:hover {
  background: var(--primary-medium);
}

.button-secondary {
  background-color: var(--primary-medium);
  border: 2px solid transparent;
}

.button-secondary:hover {
  background-color: transparent;
  border-color: var(--primary-dark);
  color: var(--primary-dark);
}

/* utillities */
.hidden {
  overflow-y: hidden;
}

.emphasis {
  color: var(--secondary-green);
}

.wave_splitter {
  height: 21.8rem;
  background-image: url("../../assets/img/waves.svg");
  background-repeat: no-repeat;
}

.gradient_divider {
  height: 8rem;
  background-image: url("../../assets/img/divider.png");
}

.gradient_divider_2 {
  height: 10rem;
  background-image: url("../../assets/img/divider-2.png");
}

/* bugs fix scrollreveal */
#hero_division,
#service_section,
#differences,
#boost,
#contact {
  overflow-x: hidden;
}
